<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (function_exists('mini_publication')) return;

function mini_publication($pub_datum='', $verfallsdatum='')
{
    global $cpoSystem;
    if (time()<strtotime($pub_datum)) {
        // upcoming & expires
        if (strtotime($verfallsdatum)<strtotime('2036-01-01')) {
            echo '<img src="'.SKIN_URL.'pub_upcoming1.gif" alt="'.__('upcoming article').'" title="'.__('upcoming article').'" style="border: 0; width: 111px; height: 13px; vertical-align: top;">';
        }

        // upcoming & never expires
        if (strtotime($verfallsdatum)>=strtotime('2036-01-01')) {
            echo '<img src="'.SKIN_URL.'pub_upcoming2.gif" alt="'.__('upcoming article').'" title="'.__('upcoming article').'" style="border: 0; width: 111px; height: 13px; vertical-align: top;">';
        } 
    } else {
        // expired
        if (time()>=strtotime($verfallsdatum)) {
            echo '<img src="'.SKIN_URL.'pub_expired.gif" alt="'.__('expired article').'" title="'.__('expired article').'" style="border: 0; width: 111px; height: 13px; vertical-align: top;">';
        } 
        // active & expires
        if (time()<strtotime($verfallsdatum) && strtotime($verfallsdatum)<strtotime('2036-01-01')) {
            echo '<img src="'.SKIN_URL.'pub_active1.gif" alt="'.__('active article').'" title="'.__('active article').'" style="border: 0; width: 111px; height: 13px; vertical-align: top;">';
        } 
        // active & never expires
        if (time()<strtotime($verfallsdatum) && strtotime($verfallsdatum)>=strtotime('2036-01-01')) {
            echo '<img src="'.SKIN_URL.'pub_active2.gif" alt="'.__('active article').'" title="'.__('active article').'" style="border: 0; width: 111px; height: 13px; vertical-align: top;">';
        } 
    }
    print('&nbsp;<img src="'.BASE_REL.'_images/transparent.gif" style="width: 1px; height: 21px; border: 0;" alt=""><br />');
    echo date($cpoSystem['date_format'], strtotime($pub_datum)).'<br />';

    if (strtotime($verfallsdatum)>=strtotime('2036-01-01')) echo '-';
    else echo date($cpoSystem['date_format'], strtotime($verfallsdatum));
}
?>
