<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id: index.php 7 2005-07-31 13:07:39Z balu $ */
define('CPO', true);

//if (substr($_GET['ref'], 0, 5)=='setup') define('SETUP', true);
require_once('../_include/common.inc.php');
$trustedUrl = false;
foreach ($GLOBALS['modules'] as $k => $v) {
	if (!empty($v['externalHelpUrl']) &&
	   substr($ref, 0, strlen($v['externalHelpUrl'])) == $v['externalHelpUrl']
	)
	   $trustedUrl = true;
}
if ($trustedUrl) {
    header('Location: ' . $ref);
    exit;
}

$message = __('Please note, that the address to this help topic links to an external server.');
$message .= '<br />';
$message .= __('Since there is a chance that malicious content is received, you need to confirm the address by using the link below.');
$message .= '<br /><br />';
$message .= sprintf(__('The address is: %s'), 
    '<a href="' . $ref . '">' . $ref . '</a>')
?>
<html>
<head>
    <title> </title>
    <meta name="robots" content="noindex, nofollow" />
    <link rel="stylesheet" href="cpo-manual.css" type="text/css">
</head>
<body>
<?php include CPO_BASEDIR . '_include/message.php'; ?>
</body>
</html>